member_type Class Reference

`#include <attr.hpp>`

## Public Member Functions

constexpr | member_type (osmium::item_type type, osmium::object_id_type ref, const char *role="") noexcept
constexpr osmium::item_type | type () const noexcept
constexpr osmium::object_id_type | ref () const noexcept
constexpr const char * | role () const noexcept

## Private Attributes

osmium::item_type | m_type
osmium::object_id_type | m_ref
const char * | m_role

## Constructor & Destructor Documentation

constexpr member_type::member_type | ( | osmium::item_type | type,
|  | osmium::object_id_type | ref,
|  | const char * | role = `""`
| ) |  |

inline noexcept

## Member Function Documentation

constexpr osmium::object_id_type member_type::ref | ( |  | ) | const

inline noexcept

constexpr const char* member_type::role | ( |  | ) | const

inline noexcept

constexpr osmium::item_type member_type::type | ( |  | ) | const

inline noexcept

## Member Data Documentation

osmium::object_id_type member_type::m_ref

private

const char* member_type::m_role

private

osmium::item_type member_type::m_type

private

The documentation for this class was generated from the following file:

- osmium/builder/attr.hpp